%global repo dde-control-center

Name:           deepin-control-center
Version:        6.0.56
Summary:        New control center for Linux Deepin
Release:        %autorelease
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-control-center
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

Patch0:         https://gitlab.archlinux.org/archlinux/packaging/packages/deepin-control-center/-/raw/main/deepin-control-center-systeminfo-deepin-icon.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake

BuildRequires:  cmake(DtkCore)
BuildRequires:  cmake(DtkWidget)
BuildRequires:  cmake(DtkDConfig)

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
# for libQt5XkbCommonSupport.a
BuildRequires:  qt5-qtbase-static

BuildRequires:  cmake(GTest)
BuildRequires:  cmake(PolkitQt5-1)

BuildRequires:  libicu-devel
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(libdeepin_pw_check)
BuildRequires:  pkgconfig(gsettings-qt)
# BuildRequires:  pkgconfig(dareader)
BuildRequires:  pkgconfig(wayland-client)

# /usr/bin/deepin-desktop-ts-convert
BuildRequires:  deepin-gettext-tools
BuildRequires:  doxygen
# /usr/bin/qhelpgenerator-qt5
BuildRequires:  qt5-doctools

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       %{name}-lib%{?_isa} = %{version}-%{release}
Requires:       deepin-account-faces
Requires:       deepin-api
Requires:       deepin-daemon
Requires:       deepin-qt5integration
Requires:       startdde
Requires:       deepin-network-core

%description
New control center for Linux Deepin.

%package lib
Summary:        Shared library for %{name}

%description lib
This package provides shared library %{name}.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}-lib%{?_isa} = %{version}-%{release}

%description devel
Header files and libraries for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}
sed -i 's|lrelease|lrelease-qt5|' misc/translate_generation.sh

%build
%cmake \
    -DDISABLE_AUTHENTICATION=ON \
    -DDISABLE_UPDATE=ON \
    -DDISABLE_LANGUAGE=ON \
    -DQCH_INSTALL_DESTINATION=%{_qt5_docdir} \
    -DCVERSION=%{version} \

%cmake_build

%install
%cmake_install

%check
%ctest
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
#appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml

%files
%doc README.md
%{_bindir}/%{repo}
%{_datadir}/applications/org.deepin.dde.control-center.desktop
%{_metainfodir}/org.deepin.dde.controlcenter.metainfo.xml
%{_datadir}/dbus-1/services/*.service
%{_datadir}/%{repo}/
%{_datadir}/dsg/
%{_userunitdir}/org.deepin.dde.control-center.service


%files lib
%license LICENSE
%dir %{_libdir}/dde-control-center
%dir %{_libdir}/dde-control-center/modules
%{_libdir}/dde-control-center/modules/libdcc-*-plugin.so
%{_libdir}/dde-grand-search-daemon/plugins/searcher/*.conf
%{_libdir}/libdcc-interface.so.6*
%{_libdir}/libdcc-widgets.so.6*

%files devel
%{_libdir}/libdcc-interface.so
%{_libdir}/libdcc-widgets.so
%{_includedir}/%{repo}
%{_libdir}/cmake/DdeControlCenter/
%{_qt5_docdir}/dde-control-center.qch

%changelog
%autochangelog
